module Axie
  class Account < Object
    attr_reader :data, :total

    def self.from_response(response)
      body = response.body
      new(
        data: body,
        total: body.dig("total")
      )
    end

    def initialize(data:, total:)
      @data = data
      @total = total
    end

    def get_slp_balance
      total
    end
  end
end
